%define section   devel

Name:           velocity-dvsl
Version:        0.45
Release:        3%{?dist}
Epoch:          0
Summary:        DVSL Declarative Velocity Style Language

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/velocity/dvsl/
Source0:        http://cvs.apache.org/builds/jakarta-velocity/nightly/2003-09-09/jakarta-velocity-dvsl-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Distribution:   JPackage
#Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  jakarta-commons-collections
BuildRequires:  dom4j
BuildRequires:  jaxen >= 0:1.1
BuildRequires:  velocity-jboss
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
# XXX: (dwalluck): ant is only required by org.apache.tools.dvsl.DVSLTask
%if 0
Requires:  ant
%endif
Requires:  jakarta-commons-collections
Requires:  dom4j
Requires:  jaxen >= 0:1.1
Requires:  velocity-jboss
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-jaxp-1.3-apis

%description
DVSL (Declarative Velocity Style Language) is a tool modeled 
after XSLT and is intended for general XML transformations 
using the Velocity Template Language as the templating language 
for the transformations. The key differences are that it 
incorporates easy access to Java objects and allows you to use 
the Velocity template language and it's features for expressing 
the transformation templates. 

# FIXME javadocs build fails
%if 0
%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation
Requires:       velocity-dvsl = 0:%{version}-%{release}

%description    demo
%{summary}.
%endif

%prep
%setup -q -n jakarta-%{name}
find . -name "*.jar" -exec rm {} \;
(cd lib
ln -s $(build-classpath ant) ant.jar
ln -s $(build-classpath commons-collections) commons-collections.jar
ln -s $(build-classpath dom4j) dom4j.jar
ln -s $(build-classpath jaxen) jaxen.jar
ln -s $(build-classpath velocity-jboss) velocity.jar
ln -s $(build-classpath xalan-j2) xalan-j2.jar
ln -s $(build-classpath xerces-j2) xerces-j2.jar
ln -s $(build-classpath xml-commons-apis) xml-commons-apis.jar
)

%build
export CLASSPATH=
export OPT_JAR_LIST=:
# FIXME javadocs build fails
%if 0
ant all
%else
ant jar
%endif

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -Dpm 644 %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# FIXME javadocs build fails
%if 0
# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
# FIXME javadocs build fails
%if 0
%doc %{_docdir}/%{name}-%{version}/license.html

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%doc %{_datadir}/%{name}-%{version}
%endif

%changelog
* Fri Feb 18 2011 Fernando nasser <fnasser@redhat.com> 0:0.45-3
- Disable all but the main package, javadoc fails and breaks the build

* Thu Apr 09 2009 David Walluck <dwalluck@redhat.com> 0:0.45-5.2
- remove Requires: ant
- change Requires: velocity to Requires: velocity-jboss
- explictly require xml-commons jaxp version
- fix file permissions and javadocs

* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> - 0:0.45-5jpp_1rh
- First Red Hat build

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.45-5jpp
- Drop saxpath requirements
- Require jaxen >= 0:1.1

* Thu Sep 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.45-4jpp
- Build with ant-1.6.2
- Relax some versioned dependencies

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.45-3jpp
- Make runtime req for -demo symbolic

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.45-2jpp
- Upgrade to Ant 1.6.X

* Sat Mar 27 2003 Ralph Apel <r.apel at r-apel.de> - 0:0.45-1jpp
- First build.
